## DMS Get Factory SKU DMS Get Factory SKU |

## Functions

QmiMessageDmsGetFactorySkuOutput * | qmi_message_dms_get_factory_sku_output_ref ()
void | qmi_message_dms_get_factory_sku_output_unref ()
gboolean | qmi_message_dms_get_factory_sku_output_get_result ()
gboolean | qmi_message_dms_get_factory_sku_output_get_sku ()
void | qmi_client_dms_get_factory_sku ()
QmiMessageDmsGetFactorySkuOutput * | qmi_client_dms_get_factory_sku_finish ()

## Types and Values

| QmiMessageDmsGetFactorySkuOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageDmsGetFactorySkuOutput

## Description

## Functions

### qmi_message_dms_get_factory_sku_output_ref ()

    QmiMessageDmsGetFactorySkuOutput *
    qmi_message_dms_get_factory_sku_output_ref
                                   (QmiMessageDmsGetFactorySkuOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsGetFactorySkuOutput. |

#### Returns

the new reference to `self` .

### qmi_message_dms_get_factory_sku_output_unref ()

    void
    qmi_message_dms_get_factory_sku_output_unref
                                   (QmiMessageDmsGetFactorySkuOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsGetFactorySkuOutput. |

### qmi_message_dms_get_factory_sku_output_get_result ()

    gboolean
    qmi_message_dms_get_factory_sku_output_get_result
                                   (QmiMessageDmsGetFactorySkuOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsGetFactorySkuOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

### qmi_message_dms_get_factory_sku_output_get_sku ()

    gboolean
    qmi_message_dms_get_factory_sku_output_get_sku
                                   (QmiMessageDmsGetFactorySkuOutput *self,
                                    const gchar **sku,
                                    GError **error);

Get the 'SKU' field from `self` .

#### Parameters

self | a QmiMessageDmsGetFactorySkuOutput. |
sku | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

### qmi_client_dms_get_factory_sku ()

    void
    qmi_client_dms_get_factory_sku (QmiClientDms *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Factory SKU request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_get_factory_sku_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

### qmi_client_dms_get_factory_sku_finish ()

    QmiMessageDmsGetFactorySkuOutput *
    qmi_client_dms_get_factory_sku_finish (QmiClientDms *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_dms_get_factory_sku()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_get_factory_sku()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsGetFactorySkuOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_get_factory_sku_output_unref()`.

## Types and Values

### QmiMessageDmsGetFactorySkuOutput

    typedef struct _QmiMessageDmsGetFactorySkuOutput QmiMessageDmsGetFactorySkuOutput;

The QmiMessageDmsGetFactorySkuOutput structure contains private data and should only be accessed using the provided API.